Bug 1306826 - Devel package for collectd needed to build additional plugins
Devel package for collectd needed to build additional plugins
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: collectd (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-11 14:47 EST by Andrew Neuschwander
Modified: 2016-02-14 05:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-13 12:01:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Neuschwander 2016-02-11 14:47:18 EST
Description of problem: 

Building plugins not included in collectd, such as collectd-write_graphite, requires downloading and building all of collectd (i.e. executing the "rpmbuild -bc collectd.spec" stage to get config.h").

The current epel7 collectd package does not include sufficent headers or pkg-config information to build plugins. The collectd package currently includes:

# rpm -ql collectd | grep [ch]$
/usr/include/collectd/client.h
/usr/include/collectd/lcc_features.h
/usr/include/collectd/network.h
/usr/include/collectd/network_buffer.h
/usr/lib64/pkgconfig/libcollectdclient.pc


Specifically, to build the collectd-write_graphite plugin, the following header files are needed from the collectd source:

src/daemon/collectd.h
src/daemon/common.h
src/daemon/plugin.h
src/daemon/configfile.h
src/daemon/utils_cache.h
src/daemon/utils_time.h
src/daemon/meta_data.h
src/config.h
src/utils_parse_option.h
src/liboconfig/oconfig.h


Other plugins may need additional header files.
Comment 1 Ruben Kerkhof 2016-02-13 08:39:52 EST
write_graphite is part of collectd. Just install the collectd-write_graphite package.

I'm not entirely sure what you're asking.
Is there a specific plugin you're missing in EPEL?
Comment 2 Andrew Neuschwander 2016-02-13 12:01:10 EST
*facepalm* I'm so sorry. I didn't see a collectd-write_graphite package and didn't look it the main package. I didn't realized it was included in the upstream source package. I was referred to the write_graphite github page as a starting point.
Comment 3 Ruben Kerkhof 2016-02-14 05:57:21 EST
No problem at all, this happens more often than you think :)

Note You need to log in before you can comment on or make changes to this bug.